Bug 1292057 - Review Request: perl-DBIx-QueryLog - Logging queries for DBI
Review Request: perl-DBIx-QueryLog - Logging queries for DBI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 06:11 EST by Denis Fateyev
Modified: 2016-01-13 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 01:24:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-12-16 06:11:44 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-DBIx-QueryLog.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-DBIx-QueryLog-0.41-1.fc24.src.rpm
Description: DBIx::QueryLog logs each execution time and the actual query.
Fedora Account System Username: dfateyev

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=12204927
Comment 1 Jitka Plesnikova 2015-12-17 09:07:54 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-DBIx-QueryLog-0.41-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.8.0
      1 perl(DBI)
      1 perl(Data::Dumper)
      1 perl(Term::ANSIColor)
      1 perl(Text::ASCIITable)
      1 perl(Time::HiRes)
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-DBIx-QueryLog-0.41-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(DBIx::QueryLog) = 0.41
      1 perl-DBIx-QueryLog = 0.41-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-DBIx-QueryLog*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

BuildRequires:
FIX: Please add BRs
 - perl(parent) - builder/MyBuilder.pm: line 5
 - perl(base) - t/Util.pm: line 7
TODO: Please remove perl(Test::Pod), perl(Test::Pod::Coverage). They are
      used by xt tests, which are not executed.

Please correct all 'FIX' issues and consider fixing 'TODO' items.

Otherwise package looks good.
Approved.
Comment 2 Denis Fateyev 2015-12-17 09:30:50 EST
> - perl(parent) - builder/MyBuilder.pm: line 5
> - perl(base) - t/Util.pm: line 7
Ok, seems now we need these basic pragmas, too ;-)
Thanks for the reviews, I'll fix BRs before import.
Comment 3 Gwyn Ciesla 2015-12-17 09:46:49 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-DBIx-QueryLog
Comment 4 Fedora Update System 2015-12-18 11:09:34 EST
perl-DBIx-QueryLog-0.41-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b0b0f5aae7
Comment 5 Fedora Update System 2015-12-18 11:11:07 EST
perl-DBIx-QueryLog-0.41-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a58d43cc5
Comment 6 Fedora Update System 2015-12-19 15:00:17 EST
perl-DBIx-QueryLog-0.41-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-DBIx-QueryLog'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a58d43cc5
Comment 7 Fedora Update System 2015-12-19 20:51:15 EST
perl-DBIx-QueryLog-0.41-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-DBIx-QueryLog'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b0b0f5aae7
Comment 8 Fedora Update System 2015-12-28 17:55:19 EST
perl-DBIx-QueryLog-0.41-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-03 18:25:44 EST
perl-DBIx-QueryLog-0.41-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-04 06:16:13 EST
perl-DBIx-QueryLog-0.41-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-611d1e2c4a
Comment 11 Fedora Update System 2016-01-04 15:52:00 EST
perl-DBIx-QueryLog-0.41-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-611d1e2c4a
Comment 12 Fedora Update System 2016-01-13 01:24:36 EST
perl-DBIx-QueryLog-0.41-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.